org.apache.lucene.index

## Class IndexFormatTooNewException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.index.IndexFormatTooNewException

All Implemented Interfaces:
  Serializable

    public class IndexFormatTooNewException
    extends IOException

This exception is thrown when Lucene detects an index that is newer than this Lucene version.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexFormatTooNewException(DataInput in, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooNewException`
`IndexFormatTooNewException(String resourceDescription, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooNewException`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxVersion()` Returns the maximum version accepted
`int` `getMinVersion()` Returns the minimum version accepted
`String` `getResourceDescription()` Returns a description of the file that was too new
`int` `getVersion()` Returns the version of the file that was too new

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexFormatTooNewException

    public IndexFormatTooNewException(String resourceDescription,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

Creates an `IndexFormatTooNewException`

Parameters:
  `resourceDescription` - describes the file that was too new
  `version` - the version of the file that was too new
  `minVersion` - the minimum version accepted
  `maxVersion` - the maximum version accepted
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

#### IndexFormatTooNewException

    public IndexFormatTooNewException(DataInput in,
                                      int version,
                                      int minVersion,
                                      int maxVersion)

Creates an `IndexFormatTooNewException`

Parameters:
  `in` - the open file that's too new
  `version` - the version of the file that was too new
  `minVersion` - the minimum version accepted
  `maxVersion` - the maximum version accepted
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Detail

#### getResourceDescription

    public String getResourceDescription()

Returns a description of the file that was too new

#### getVersion

    public int getVersion()

Returns the version of the file that was too new

#### getMaxVersion

    public int getMaxVersion()

Returns the maximum version accepted

#### getMinVersion

    public int getMinVersion()

Returns the minimum version accepted